Main Page Modules Namespace List Class Hierarchy Alphabetical List Compound List File List Namespace Members Compound Members File Members Related Pages

# VertexBuffer.cpp File Reference

Class for vertex buffers. More...

`#include "deVBuffer_priv.hpp"`
`#include "deWorld_Helper.hpp"`

Include dependency graph for VertexBuffer.cpp:

## Defines
#define | ALLOW_RESIZE (deTRUE)
## Functions
IdeVertexBuffer * | IdeVertexBuffer_CreateVBuffer ()
| Create an instance of IdeVertexBuffer.
IdeVertexBuffer * | IdeVertexBuffer_CreateSubVBuffer (IdeVertexBuffer *Composite)
long | IdeVertexBuffer_EntrySize (IdeVertexBuffer::BufferType Type)
IdeVertexBuffer::BufferDataType | IdeVertexBuffer_FillBufferDataType (IdeVertexBuffer::BufferType Type, long *Size)
unsigned int | nlpo2 (register unsigned int x)

## Detailed Description

Class for vertex buffers.

Author:
  Lightning, Assassin

This file is the intellectual property of Novus Delta, LLC.. Usage of the contents of this file is subject to the Destiny3D Member License which can be found at http://www.destiny3d.com. Any other usage is prohibited.

This file is distributed "AS IS" without warranty of any kind. Novus Delta, LLC. does not guarantee the fitness of the contents of this file for any particular purpose.

Copyright (C) 2001-2003 Novus Delta, LLC. All Rights Reserved.

Change History

Date:
  Aug 2001

Author:
  Lightning

Remarks:
  Creation

Date:
  Oct 2001

Author:
  Lightning

Remarks:
  Complete rewrite to do vertex shaders

Date:
  Apr 2002

Author:
  Assassin

Remarks:
  Vertex buffer mods

## Define Documentation

#define ALLOW_RESIZE (deTRUE)

## Function Documentation

IdeVertexBuffer* IdeVertexBuffer_CreateSubVBuffer | ( | IdeVertexBuffer * | Composite | ) |

  | Create an instance of IdeVertexBuffer, as a sub-vbuffer inside a parent buffer Parameters:
  Composite | Parent buffer to create this sub-vbuffer inside of

IdeVertexBuffer* IdeVertexBuffer_CreateVBuffer | ( |  | ) |

| Create an instance of IdeVertexBuffer.

long IdeVertexBuffer_EntrySize | ( | IdeVertexBuffer::BufferType | Type | ) |

IdeVertexBuffer::BufferDataType IdeVertexBuffer_FillBufferDataType | ( | IdeVertexBuffer::BufferType | Type,
|  | long * | Size
| ) |

unsigned int nlpo2 | ( | register unsigned int | x | ) | `[inline, static]`